local _path=ModPath
local _data_path=SavePath.."mtac.txt"
m_tac_reload=m_tac_reload or {
	pistol=false,
	akimbo=false,
	smg=true,
	bow=false,
	crossbow=false,
	shotgun=false,
	assault_rifle=true,
	snp=false,
	lmg=true,
	minigun=true,
	grenade_launcher=false,
	flamethrower=true,
	saw=false
	}

function m_tac_save()
	local file=io.open(_data_path, "w+")
	if file then
		file:write(json.encode(m_tac_reload))
		file:close()
		end
	end

function m_tac_load()
	local file=io.open(_data_path, "r")
		if file then
		m_tac_reload=json.decode(file:read("*all"))
		file:close()
		end
	end

Hooks:Add("LocalizationManagerPostInit", "LocManPosIni:mtacMenu", function(loc)
	local lang, path=SystemInfo and SystemInfo:language(), "loc.en.txt"
	if lang==Idstring("french") then
		path="loc.fr.txt"
		end
	loc:load_localization_file(_path..path)
	end)

Hooks:Add("MenuManagerInitialize", "MenManIni:mtacMenu", function(menu_manager)
	function MenuCallbackHandler:m_tac_save()
		m_tac_save()
		end
	function MenuCallbackHandler:m_tac_toggle(item)
		m_tac_reload[item:name()]=item:value()=="on"
		end
	m_tac_load()
	MenuHelper:LoadFromJsonFile(_path.."menu.txt", {_data=m_tac_reload}, m_tac_reload)
	end)